Name:           wmdocker
Version:        1.5
Release:        14%{?dist}
Summary:        KDE and GNOME2 system tray replacement docking application

Group:          User Interface/X
License:        GPLv2+
URL:            http://icculus.org/openbox/2/docker/
Source0:        http://icculus.org/openbox/2/docker/docker-1.5.tar.gz

BuildRequires:  glib2-devel
BuildRequires:  libX11-devel

# https://fedorahosted.org/fpc/ticket/341
# keep obsoletes for two release 20 and 21
%if !0%{?fedora} < 22
Obsoletes: docker <= 1.5-10
%endif

%description
Docker is a docking application (WindowMaker dock app) which acts as a system
tray for KDE and GNOME2. It can be used to replace the panel in either
environment, allowing you to have a system tray without running the KDE/GNOME
panel or environment.

%prep
%setup -q -n docker-%{version}


%build
make %{?_smp_mflags} CFLAGS="%{optflags}" XLIBPATH=%{_libdir}/X11


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
make install PREFIX=%{buildroot}/%{_prefix}
# due to package rename to prevent conflicts with the new docker package
# see https://fedorahosted.org/fpc/ticket/341
mv %{buildroot}/%{_bindir}/docker %{buildroot}/%{_bindir}/wmdocker


%files
%doc README COPYING
%{_bindir}/wmdocker


%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 10 2013 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.5-12
- rename binary to wmdocker as well
- cleanup spec

* Sat Sep 07 2013 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.5-11
- rename to wmdocker (fpc#341)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 1.5-3
- Rebuilt for gcc43

* Mon Oct 15 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.5-2
- add new license tag

* Sat Jun 02 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1.5-1
- initial version
